Bug 1265012 - Review Request: python-pycosat - Python bindings to picosat (a SAT solver)
Review Request: python-pycosat - Python bindings to picosat (a SAT solver)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 17:24 EDT by Orion Poplawski
Modified: 2015-09-23 19:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-23 19:15:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-09-21 17:24:05 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/python-pycosat.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python-pycosat-0.6.1-1.fc24.src.rpm
Description:
PicoSAT is a popular SAT solver written by Armin Biere in pure C. This
package provides efficient Python bindings to picosat on the C level, i.e.
when importing pycosat, the picosat solver becomes part of the Python process
itself.

Fedora Account System Username: orion
Comment 1 Antonio Trande 2015-09-22 04:11:06 EDT
Why are you building a python2-package?

>Wrote: /builddir/build/RPMS/python2-pycosat-0.6.1-1.fc24.i686.rpm

The name of package is python-pycosat.
Comment 2 Orion Poplawski 2015-09-22 10:49:14 EDT
(In reply to Antonio Trande from comment #1)
> Why are you building a python2-package?

See http://fedoraproject.org/wiki/Packaging:Python
Comment 3 Antonio Trande 2015-09-22 11:37:25 EDT
- Please, fix 'non-standard-executable'-perm errors.
See rpmlint output.

- 'setup-not-quiet' warning is absolutely not limiting, at your
discretion.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 8 files have unknown license. Detailed
     output of licensecheck in /home/sagitter/1265012-python-
     pycosat/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-pycosat , python3-pycosat
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pycosat-0.6.1-1.fc24.i686.rpm
          python3-pycosat-0.6.1-1.fc24.i686.rpm
          python-pycosat-0.6.1-1.fc24.src.rpm
python2-pycosat.i686: W: spelling-error Summary(en_US) picosat -> picot
python2-pycosat.i686: W: spelling-error %description -l en_US picosat -> picot
python2-pycosat.i686: E: non-standard-executable-perm /usr/lib/python2.7/site-packages/pycosat.so 775
python3-pycosat.i686: W: spelling-error Summary(en_US) picosat -> picot
python3-pycosat.i686: W: spelling-error %description -l en_US picosat -> picot
python3-pycosat.i686: E: non-standard-executable-perm /usr/lib/python3.4/site-packages/pycosat.cpython-34m.so 775
python-pycosat.src: W: spelling-error Summary(en_US) picosat -> picot
python-pycosat.src: W: spelling-error %description -l en_US picosat -> picot
python-pycosat.src:57: W: setup-not-quiet
3 packages and 0 specfiles checked; 2 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python-pycosat-debuginfo-0.6.1-1.fc24.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
python2-pycosat.i686: E: non-standard-executable-perm /usr/lib/python2.7/site-packages/pycosat.so 775
python3-pycosat.i686: E: non-standard-executable-perm /usr/lib/python3.4/site-packages/pycosat.cpython-34m.so 775
3 packages and 0 specfiles checked; 2 errors, 0 warnings.



Requires
--------
python2-pycosat (rpmlib, GLIBC filtered):
    libc.so.6
    libpicosat.so.0
    libpthread.so.0
    libpython2.7.so.1.0
    python(abi)
    rtld(GNU_HASH)

python3-pycosat (rpmlib, GLIBC filtered):
    libc.so.6
    libpicosat.so.0
    libpthread.so.0
    libpython3.4m.so.1.0
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python2-pycosat:
    python-pycosat
    python2-pycosat
    python2-pycosat(x86-32)

python3-pycosat:
    python3-pycosat
    python3-pycosat(x86-32)



Unversioned so-files
--------------------
python2-pycosat: /usr/lib/python2.7/site-packages/pycosat.so
python3-pycosat: /usr/lib/python3.4/site-packages/pycosat.cpython-34m.so

Source checksums
----------------
http://pypi.python.org/packages/source/p/pycosat/pycosat-0.6.1.tar.gz :
  CHECKSUM(SHA256) this package     : d438c488da6dd7bbb23ca8ac10531f1fbbd117bdbc2e6245382c1fe202e483ce
  CHECKSUM(SHA256) upstream package : d438c488da6dd7bbb23ca8ac10531f1fbbd117bdbc2e6245382c1fe202e483ce


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1265012
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Orion Poplawski 2015-09-22 13:47:03 EDT
The permission issue is an artifact of mock's ccache being enabled.  It doesn't occur with koji or fedpkg mockbuild.


* Tue Sep 22 2015 Orion Poplawski <orion@cora.nwra.com> - 0.6.1-2
- Quiet setup

Spec URL: http://www.cora.nwra.com/~orion/fedora/python-pycosat.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python-pycosat-0.6.1-2.fc21.src.rpm
Comment 5 Antonio Trande 2015-09-22 14:03:43 EDT
Packaged approved.
Comment 6 Orion Poplawski 2015-09-22 15:40:31 EDT
New Package SCM Request
=======================
Package Name: python-pycosat
Short Description: Python bindings to picosat (a SAT solver)
Upstream URL: http://pypi.python.org/pypi/python-pycosat
Owners: orion group::python-sig
Branches: f23 f22 f21 epel7 el6
InitialCC:
Comment 7 Gwyn Ciesla 2015-09-23 11:39:14 EDT
Git done (by process-git-requests).
Comment 8 Orion Poplawski 2015-09-23 19:15:28 EDT
Checked in and built.

Note You need to log in before you can comment on or make changes to this bug.